Subject: [TR] Off topic

From: Home Consolidated <[email-masked]>
Date: Thu, 10 Sep 2015 19:31:48 -0500

Way, way off topic😀

I am considering going to the Chicago show this weekend (it was a lot easier when it was at The JC down on the southwest side) and am looking for a liquor store with a big selection of mix and match beers. Usually I find the best selection at the big box stores. Oh yeah, it should be open on Sunday afternoon. 

Do any of my northern friends have any particular suggestions. 

I will be driving the TR3, so I guess there is a little Triumph content. 

Thanks. 

Ken Gano 

Sent from my iPad

** [email-masked] **

Donate: http://www.team.net/donate.html
Archive: http://www.team.net/archive
Forums: http://www.team.net/forums
Unsubscribe/Manage: http://autox.team.net/mailman/options/triumphs/[email-masked]